RegionAttributes (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.experimental.driver

## Class RegionAttributes

- java.lang.Object
- - org.apache.geode.experimental.driver.RegionAttributes

-     @Experimental
      public class RegionAttributes
      extends java.lang.Object

  Encapsulates the attributes of a region in a GemFire server. This code is an experimental prototype and is presented "as is" with no warranty, suitability, or fitness of purpose implied.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `dataPolicy` Specifies how a local cache will handle the data for the region.
    `java.lang.String` | `keyConstraint` String that is the fully-qualified class name of the type of which all keys must be instances.
    `java.lang.String` | `name` String that uniquely identifies the region within a GemFire server.
    `boolean` | `persisted` Whether the region is persisted to disk.
    `java.lang.String` | `scope` Whether modifications to the region are acknowledged throughout the GemFire distributed system.
    `long` | `size` Number of key/value pairs in the region.
    `java.lang.String` | `valueConstraint` String that is the fully-qualified class name of the type of which all values must be instances.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionAttributes(org.apache.geode.internal.protocol.protobuf.v1.BasicTypes.Region region)` Creates an encapsulation of region attributes.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      String that uniquely identifies the region within a GemFire server.

    - #### dataPolicy

          public java.lang.String dataPolicy

      Specifies how a local cache will handle the data for the region.

    - #### scope

          public java.lang.String scope

      Whether modifications to the region are acknowledged throughout the GemFire distributed system.

    - #### keyConstraint

          public java.lang.String keyConstraint

      String that is the fully-qualified class name of the type of which all keys must be instances. May be `null`.

    - #### valueConstraint

          public java.lang.String valueConstraint

      String that is the fully-qualified class name of the type of which all values must be instances. May be `null`.

    - #### persisted

          public boolean persisted

      Whether the region is persisted to disk.

    - #### size

          public long size

      Number of key/value pairs in the region.

  - ### Constructor Detail

    - #### RegionAttributes

          public RegionAttributes(org.apache.geode.internal.protocol.protobuf.v1.BasicTypes.Region region)

      Creates an encapsulation of region attributes.
      Parameters:
        `region` - Protobuf encoded region attributes.